Subject: Re: bug#27034: mount -L will mount the first partition with the named label

From: Ricardo Wurmus <[email-masked]>
Date: Tue, 23 May 2017 11:39:13 +0200

Quiliro <[email-masked]> writes:

> Now that installation had failed, I decided to remove all contents of /mnt/tmp to start from 0. 
>
> lsblk recognized:
> sda as the usb installer
> sdb1 as a previous failed installation with label my-root
> sdc1 as the current installation with label my-root
>
> When I restarted to begin installation from fresh, I noticed that /mnt/etc/bare-bones.scm was changed from sda to sdc. I remember having changed it. But I started doubting. Then I checked the mount and noticed that /mnt was in sdb1 instead of in sdc1. So I umounted and mounted with -L again. But it would mount sdb1 again. So I umounted and mounted with /dev/sdc1 and no -L. That worked.

I don’t understand this bug report.  Labels must be unique.  They are
a more readable alternative to using UUIDs.

-- 
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net